import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { createStore } from 'redux';

import App from './App';
import { rootReducer } from './store';

// var appElement = document.getElementById( 'gs-instagram-public-app' );
var appElements = document.querySelectorAll( '.gs-instagram-public-app' );
// console.log(appElements);
appElements.forEach( function ( item ) {
  var newStore = createStore( rootReducer );

  ReactDOM.render(
    <Provider store={newStore}>
      <App themeid={item.dataset.themeid} />
    </Provider>,
    item
  );
} );

/*
ReactDOM.render(
  <Provider store={store}>
    <App themeid={appElement.dataset.themeid} />
  </Provider>,
  appElement
);
*/
